Bug 1314393 - create subnet dialogue - inaccessible Next/Submit button
create subnet dialogue - inaccessible Next/Submit button
Status: CLOSED WORKSFORME
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 8.0 (Liberty)
Assigned To: Radomir Dopieralski
Ido Ovadia
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-03 08:43 EST by Martin Pavlásek
Modified: 2017-07-27 17:18 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-27 17:18:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proper create button (135.14 KB, image/png)
2017-07-27 17:18 EDT, Radomir Dopieralski
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1530729 None None None 2016-04-07 04:28 EDT
Launchpad 1553978 None None None 2016-03-07 05:17 EST
OpenStack gerrit 263249 None None None 2016-04-07 04:29 EDT

  None (edit)
Description Martin Pavlásek 2016-03-03 08:43:28 EST
Description of problem:
Later updated subnet gateway leads to IP address conflict with DHCP pool range.

Version-Release number of selected component (if applicable):
RHEL 7.2
python-django-horizon-8.0.1-1.el7ost.noarch
openstack-dashboard-8.0.1-1.el7ost.noarch
openstack-packstack-puppet-7.0.0-0.12.dev1699.g8f54936.el7ost.noarch
openstack-neutron-common-7.0.1-10.el7ost.noarch
openstack-neutron-ml2-7.0.1-10.el7ost.noarch
openstack-neutron-7.0.1-10.el7ost.noarch

How reproducible:
100%

Steps to Reproduce:
Log in as demo user.
1. Project - Network - Networks - Create Network
2. network "test_net", subnet "test_subnet", network address 10.0.0.0/24, IPv4, disable gateway IP
3. click to Subnet Details on blue top part of dialogue


Actual results:
Primary button has label "Next" - it doesn't make sense and it's disabled anyway.
Also on the first blue tab "Subnet" it's primary button "Create" - it cause skipping setup of DHCP (should I file it as a another bug, or can it stay here?)
Comment 3 Radomir Dopieralski 2017-07-27 17:18 EDT
Created attachment 1305658 [details]
proper create button

Works correctly for me. Must have been fixed in the mean time.

Note You need to log in before you can comment on or make changes to this bug.